package cronjobs

import (
	"fmt"
	"syncscan-go/locals"
	models_table "syncscan-go/models/table"
	"time"

	"github.com/dabory/abango-rest"
	e "github.com/dabory/abango-rest/etc"
)

func EtherScan() error {
	fmt.Println("connStr: ", locals.GSync.Scb.ConnString)
	fmt.Println("this is: ", time.Now().String())
	fmt.Println("Show Abango Variable: ", abango.XConfig["MainNetName"])

	y := locals.GSync
	var row models_table.EthBlock

	locals.BlockNoCnt += 1
	row.BlockNo = locals.BlockNoCnt
	row.GasUsed = "10.0000"
	row.GasLimit = "10.0000"
	row.TrfeeSum = "10.0000"
	row.Reward = "10.0000"
	row.UncleReward = "10.0000"
	if err := row.AddaRow(&y); err != nil {
		return e.ErrLog(e.FuncRun("093840ulua03", e.CurrFuncName()), err)
	}

	return nil
}
